<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>ejemplo1</title>
	<script type="text/javascript">
		window.addEventListener("load",function(){
			let boton1=document.querySelector("#b1")
			boton1.addEventListener("click",function(){
				document.querySelector("#display").innerHTML +=1;
			});
			let boton2=document.querySelector("#b2")
			boton2.addEventListener("click",function(){
			  document.querySelector("#display").innerHTML +=2;
			});
			let boton3=document.querySelector("#b3")
			boton3.addEventListener("click",function(){
			  document.querySelector("#display").innerHTML +=3;
			});
			let boton4=document.querySelector("#b4")
			boton4.addEventListener("click",function(){
			  document.querySelector("#display").innerHTML +=4;
			});
			let botonr=document.querySelector("#r")
			botonr.addEventListener("click",function(){
			  document.querySelector("#display").style.backgroundColor = 'red';
			});
			let botong=document.querySelector("#g")
			botong.addEventListener("click",function(){
			  document.querySelector("#display").style.backgroundColor = 'lime';
			});
			let botonb=document.querySelector("#b")
			botonb.addEventListener("click",function(){
			  document.querySelector("#display").style.backgroundColor = 'blue';
			});
		});		
	</script>
	<style type="text/css">
	</style>
</head>
<body>
	<button id="b1" type="button">1</button>
	<button id="b2" type="button">2</button>
	<button id="b3" type="button">3</button>
	<button id="b4" type="button">4</button>
	<button id="r" type="button">rojo</button>
	<button id="g" type="button">verde</button>
	<button id="b" type="button">azul</button>
	<div id="display"></div>

</body>
</html>